test_spi Namespace Reference

## Classes

class | SPI
class | Test_spi_impl

## Functions

| TEST_F (Test_spi_impl, TestConcept)
| TEST_F (Test_spi_impl, TestConstruction)
| TEST_F (Test_spi_impl, TestFunctionality)

## Detailed Description

Warning
  This is not right way of testing communication interfaces. We have to implement a Mock object to simulate the slave's behavior. Until then we have the following.

## Function Documentation

## TEST_F() [1/3]

test_spi::TEST_F | ( | Test_spi_impl | ,
|  | TestConcept |
| ) |  |

Definition at line 55 of file test_spi_impl.cpp.

## TEST_F() [2/3]

test_spi::TEST_F | ( | Test_spi_impl | ,
|  | TestConstruction |
| ) |  |

Definition at line 59 of file test_spi_impl.cpp.

## TEST_F() [3/3]

test_spi::TEST_F | ( | Test_spi_impl | ,
|  | TestFunctionality |
| ) |  |

Definition at line 63 of file test_spi_impl.cpp.